package views
{
    import viewModels.IViewModel;

    /**
     * Interface for all view components.
     */
    public interface IView
    {
        /**
         * The presentation model to which the view should
         * be bound.
         */
        function get viewModel():IViewModel;
        /**
         * @private
         */
        function set viewModel(value:IViewModel):void;
    }
}