package utils
{
    import com.scottlogic.flex_commons.collections.HashMap;
    import com.scottlogic.flex_commons.collections.IMap;

    import flash.events.Event;

    import mx.collections.ArrayCollection;
    import mx.collections.IList;

    public class TestEventListener
    {
        private var _capturedEventsByType:IMap = new HashMap();
        public function get capturedEventsByType():IMap
        {
            return _capturedEventsByType;
        }

        public function clear():void
        {
            _capturedEventsByType = new HashMap();
        }

        public function eventsForType(type:String):IList
        {
            return _capturedEventsByType.getItem(type) as IList
        }

        public function numberOfEventsForType(type:String):int
        {
            var events:IList = eventsForType(type);
            return events ? events.length : 0;
        }

        public function eventHandler(event:Event):void
        {
            var events:IList = _capturedEventsByType.getItem(event.type) as IList;
            if (!events)
            {
                events = new ArrayCollection();
                _capturedEventsByType.setItem(event.type, events);
            }
            events.addItem(event);
        }
    }
}